cascading.flow.planner

## Class PlannerInfo

- java.lang.Object
- - cascading.flow.planner.PlannerInfo

    public class PlannerInfo
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `name`
`static PlannerInfo` `NULL`
`java.lang.String` `platform`
`java.lang.String` `registry`

### Constructor Summary

Constructors
Constructor and Description
`PlannerInfo(java.lang.String name, java.lang.String platform, java.lang.String registry)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object object)`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NULL

    public static final PlannerInfo NULL

#### name

    public final java.lang.String name

#### platform

    public final java.lang.String platform

#### registry

    public final java.lang.String registry

### Constructor Detail

#### PlannerInfo

    public PlannerInfo(java.lang.String name,
               java.lang.String platform,
               java.lang.String registry)

### Method Detail

#### equals

    public boolean equals(java.lang.Object object)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`